## org.apache.poi.ss.formula.ptg
Class MemAreaPtg

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.OperandPtg
              org.apache.poi.ss.formula.ptg.MemAreaPtg

All Implemented Interfaces:
  java.lang.Cloneable

    public final class MemAreaPtg

extends OperandPtg

Author:
  Daniel Noll (daniel at nuix dot com dot au)

Field Summary
`static short` `sid`

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`MemAreaPtg(int subexLen)` Creates new MemAreaPtg
`MemAreaPtg(LittleEndianInput in)`

Method Summary
`byte` `getDefaultOperandClass()`
`int` `getLenRefSubexpression()`
`int` `getSize()`
`java.lang.String` `toFormulaString()` return a string representation of this token alone
`java.lang.String` `toString()` Overridden toString method to ensure object hash is not printed.
`void` `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.ss.formula.ptg.OperandPtg
`copy, isBaseToken`

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### MemAreaPtg

    public MemAreaPtg(int subexLen)

  Creates new MemAreaPtg

### MemAreaPtg

    public MemAreaPtg(LittleEndianInput in)

Method Detail

### getLenRefSubexpression

    public int getLenRefSubexpression()

### write

    public void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

### toFormulaString

    public java.lang.String toFormulaString()

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### getDefaultOperandClass

    public byte getDefaultOperandClass()

  Specified by:
    `getDefaultOperandClass` in class `Ptg`

### toString

    public final java.lang.String toString()

  Description copied from class: `Ptg`
  Overridden toString method to ensure object hash is not printed. This helps get rid of gratuitous diffs when comparing two dumps Subclasses may output more relevant information by overriding this method

  Overrides:
    `toString` in class `Ptg`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.